Subject: Re: linux-next: JFFS2 corruption

From: Mark Jackson <[email-masked]>
Date: Wed, 27 Feb 2013 15:12:01 +0000

On 26/02/13 23:18, Stephen Rothwell wrote:
> Hi Mark,
> 
> On Tue, 26 Feb 2013 15:50:18 +0000 Mark Jackson <[email-masked]> wrote:
>>
>> Just tested the current next-20130226 on a custom AM335X board, and if I mount
>> our JFFS2 image as read/write, the next reboot shows the image as being corrupt.
>>
>> If I reprogram the jffs2 image into NAND and only mount the volume as read-only,
>> no corruption occurs and the system remains intact.
>>
>> I have also tested:-
>>
>> (a) reprogram ubifs image into nand
>> (b) boot the volume as read-only (corrupt -> no)
>> (c) remount the volume as read/write
>> (d) rebooting the volume as read-only (corrupt -> yes)
> 
> Thanks for all the testing.  Sam questions as in my other email.

Okay, just tested 3v8 plus:-

https://patchwork.kernel.org/patch/1931251/
https://patchwork.kernel.org/patch/1931221/
https://patchwork.kernel.org/patch/1931201/
and changed drivers/mtd/nand/elm.c, line 388 "ti,am33xx-elm" to "ti,am3352-elm"

This produces an identical corruption.

I have also tested next-20130225 and next-20130227, and both cause the same corruption.

Regards
Mark J.